Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 842570

Summary: Review Request: maven-script-interpreter - Maven Script Interpreter
Product: [Fedora] Fedora Reporter: Tomas Radej <tradej>
Component: Package ReviewAssignee: gil cattaneo <puntogil>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting, package-review, puntogil
Target Milestone: ---Flags: puntogil: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-28 10:44:53 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Tomas Radej 2012-07-24 05:16:27 EDT
Spec URL: http://tradej.fedorapeople.org/reviews/maven-script-interpreter/1/maven-script-interpreter.spec
SRPM URL: http://tradej.fedorapeople.org/reviews/maven-script-interpreter/1/maven-script-interpreter-1.0-1.fc16.src.rpm
Description: This component provides some utilities to interpret/execute some scripts for various implementations: groovy or beanshell.

Fedora Account System Username:tradej
Comment 1 Tomas Radej 2012-07-24 05:21:21 EDT
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4325140
Comment 2 gil cattaneo 2012-07-25 14:42:54 EDT
take this review.
Comment 3 gil cattaneo 2012-07-25 15:23:29 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[ ]: MUST License file installed when any subpackage combination is installed.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint maven-script-interpreter-javadoc-1.0-1.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint maven-script-interpreter-1.0-1.fc18.noarch.rpm

maven-script-interpreter.noarch: W: spelling-error %description -l en_US beanshell -> bean shell, bean-shell, beans hell
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint maven-script-interpreter-1.0-1.fc18.src.rpm

maven-script-interpreter.src: W: spelling-error %description -l en_US beanshell -> bean shell, bean-shell, beans hell
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
  maven-script-interpreter-1.0-source-release.zip :
  MD5SUM this package     : b7d1859dd80e8c37e97132d19e439e1e
  MD5SUM upstream package : b7d1859dd80e8c37e97132d19e439e1e

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[-]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[-]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint maven-script-interpreter-javadoc-1.0-1.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint maven-script-interpreter-1.0-1.fc18.noarch.rpm

maven-script-interpreter.noarch: W: spelling-error %description -l en_US beanshell -> bean shell, bean-shell, beans hell
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint maven-script-interpreter-1.0-1.fc18.src.rpm

maven-script-interpreter.src: W: spelling-error %description -l en_US beanshell -> bean shell, bean-shell, beans hell
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

can you install NOTICE file also in javadoc package?
tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4329352
[WARNING] Using platform encoding (ANSI_X3.4-1968 actually) to copy filtered resources, i.e. build is platform dependent!
can you use -Dproject.build.sourceEncoding=UTF-8 in the build section?
thanks
Comment 4 gil cattaneo 2012-07-25 15:30:05 EDT
hi
>rpmlint maven-script-interpreter-1.0-1.fc18.noarch.rpm

>maven-script-interpreter.noarch: W: spelling-error %description -l en_US >beanshell -> bean shell, bean-shell, beans hell
>1 packages and 0 specfiles checked; 0 errors, 1 warnings.


>rpmlint maven-script-interpreter-1.0-1.fc18.src.rpm

>maven-script-interpreter.src: W: spelling-error %description -l en_US beanshell >-> bean shell, bean-shell, beans hell
>1 packages and 0 specfiles checked; 0 errors, 1 warnings.
can you change beanshell in BeanShell and groovy in Groovy?
thanks
Comment 5 gil cattaneo 2012-07-25 15:37:27 EDT
*** APPROVED ***
Comment 6 Tomas Radej 2012-07-26 08:03:31 EDT
Thank you for review, but I must ask you if you did manually all the checks that weren't already marked by FedoraReview. 

If you did, and just didn't mark them done, please do - it is very confusing to leave the [ ] blank. If you didn't do the manual tests (including the Generic section), please do. It is very important that reviewers check the packages themselves - FedoraReview is just a program and can't check some issues by definition.

I will change the build encoding and description names.

Removing fedora-review+.
Comment 7 gil cattaneo 2012-07-26 08:28:54 EDT
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[-]: MUST Package contains a SysV-style init script if in need of one.
[-]: MUST Useful -debuginfo package or justification otherwise.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.

hi
i have a doubt about 
plexus-utils and bsh arent marked as Requires

can you also add NOTICE to javadoc package? (see LICENSE)
thanks
Comment 8 Tomas Radej 2012-07-30 04:23:34 EDT
Sure, thanks.

New Package SCM Request
=======================
Package Name: maven-script-interpreter
Short Description: Maven Script Interpreter
Owners: tradej
Branches: f17
InitialCC: java-sig
Comment 9 Gwyn Ciesla 2012-07-30 05:43:41 EDT
Git done (by process-git-requests).
Comment 10 Tomas Radej 2012-08-28 10:44:53 EDT
Package is in F18 stable, closing.